using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Net;

[ComImport]
[Guid("EEFA38DC-15B2-4232-B5BE-5A9ECB8E1A58")]
[InterfaceType(2)]
[SuppressUnmanagedCodeSecurity]
[TypeLibType(4096)]
public interface IWebRequestEvents
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void Begin();

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(2)]
	void End(int nResultCode, [MarshalAs(UnmanagedType.BStr)] string strText);
}
